1.0
1.0
get /v1/data-flows/image-versions
Description
Get List of Data Flow Images.
State ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataFlowImageListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows/image-versions
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"image_id": "",
"image_name": "",
"version": ""
}
],
"total_count": ""
}